Bug 237695 - kdmrc refers to non-existant theme /usr/share/apps/kdm/themes/FedoraFlyingHigh
kdmrc refers to non-existant theme /usr/share/apps/kdm/themes/FedoraFlyingHigh
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-24 16:01 EDT by Orion Poplawski
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-08 17:48:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2007-04-24 16:01:12 EDT
Description of problem:

At kdm startup, get the error:

Cannot open theme file /usr/share/app/kdm/themes/FedoraFlyingHigh.

There does not appear to be a package that provides this.  There is a
/usr/share/gdm/themes/FedoraFlyingHigh directory, but don't know if it's compatible.

Version-Release number of selected component (if applicable):
kdebase-3.5.6-5.fc7
Comment 1 Doncho N. Gunchev 2007-04-30 08:15:39 EDT
I was just going to fill this:

Description of problem:
kdm is part of kdebase and all themes are part of
fedora-logos/redhat-artwork(?). The default kdmrc specifies FedoraFlyingHigh
theme, which is not present.

Version-Release number of selected component (if applicable):
fedora-logos-6.0.98-3.fc7, redhat-artwork-5.0.12-7.fc7, kdebase-3.5.6-5.fc7

Steps to Reproduce:
1. install F7t4
2. mcedit/vi /etc/sysconfig/desktop and add 'DISPLAYMANAGER="KDE"' or rpm -e gdm
3. telinit 3; telinit 5
  
Actual results:
kdm complains for missing theme

Additional info:
/usr/share/gdm/themes/FedoraDNA is also owned by:
  $ rpm -qf /usr/share/gdm/themes/FedoraDNA
  fedora-logos-6.0.98-3.fc7
  redhat-artwork-5.0.12-7.fc7
This is consequence of Bug #236633 I think.

So I paste it here...
Comment 2 Rex Dieter 2007-04-30 12:16:02 EDT
When/if the merge or kde's move to Extras occurs, kdebase needs:
Requires: redhat-artwork-kde
Comment 3 Rex Dieter 2007-04-30 12:27:46 EDT
I've added redhat-artwork-kde to the comps kde-desktop group, so a short-term
fix of:
$ yum install redhat-artwork-kde
or
$ yum groupinstall kde-desktop
should do the trick.
Comment 4 Orion Poplawski 2007-05-08 17:48:14 EDT
Appears to work now.
Comment 5 Doncho N. Gunchev 2007-05-08 23:00:06 EDT
It works, thank you.

Note You need to log in before you can comment on or make changes to this bug.